Bug 726971 - digikam crashes with "-graphicssystem raster"
Summary: digikam crashes with "-graphicssystem raster"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: digikam
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steven M. Parrish
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-4.8
TreeView+ depends on / blocked
 
Reported: 2011-07-31 15:22 UTC by nucleo
Modified: 2011-08-31 20:41 UTC (History)
9 users (show)

Fixed In Version: digikam-2.0.0-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-30 20:36:12 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 278320 0 None None None Never

Description nucleo 2011-07-31 15:22:58 UTC
Description of problem:
There are two builds:
digikam-2.0.0-rc built with qt-4.7.3 and KDE 4.6.90
http://koji.fedoraproject.org/koji/buildinfo?buildID=251991

and digikam-2.0.0 built with qt 4.8 beta1 and KDE 4.7.0
http://koji.fedoraproject.org/koji/buildinfo?buildID=256199

Crashes only second build digikam-2.0.0.
So if there is no any regressions then maybe this crash related with qt 4.8.

See upstream bug https://bugs.kde.org/show_bug.cgi?id=278320 (qt-4.7.4 there)
(at first this bug was reported 
https://bugs.kde.org/show_bug.cgi?id=278890 )

Comment 1 nucleo 2011-07-31 15:24:29 UTC
I forgot that no crash with "-graphicssystem native".

Comment 2 Rex Dieter 2011-08-18 17:23:54 UTC
fixed upstream,
http://commits.kde.org/digikam/2b739c70f008ac2538eb635b7334104167ad0a50

Comment 3 Rex Dieter 2011-08-18 17:24:24 UTC
fixed in digikam, mind you, re-assigning...

Comment 4 Fedora Update System 2011-08-19 16:14:43 UTC
qt-4.8.0-0.9.beta1.fc16, digikam-2.0.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/digikam-2.0.0-3.fc16,qt-4.8.0-0.9.beta1.fc16

Comment 5 Fedora Update System 2011-08-22 18:34:08 UTC
Package qt-4.8.0-0.9.beta1.fc16, digikam-2.0.0-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qt-4.8.0-0.9.beta1.fc16 digikam-2.0.0-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/digikam-2.0.0-3.fc16,qt-4.8.0-0.9.beta1.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-08-29 18:35:03 UTC
digikam-2.0.0-3.fc16, qt-4.8.0-0.9.beta1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/digikam-2.0.0-3.fc16,qt-4.8.0-0.9.beta1.fc16

Comment 7 Fedora Update System 2011-08-30 20:36:01 UTC
digikam-2.0.0-3.fc16, qt-4.8.0-0.9.beta1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 nucleo 2011-08-31 20:41:56 UTC
I confirm that no digikam crash in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.